Skip to main content
POST
/
v1
/
templates
/
send
Send a template message to Slack
curl --request POST \
  --url https://api.lithoblocks.com/v1/templates/send \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "template_id": "<string>",
  "data": {},
  "channel_id": "<string>",
  "recipient_email": "jsmith@example.com",
  "recipient_slack_id": "<string>"
}
'
{
  "success": true,
  "message_ts": "<string>",
  "channel": "<string>",
  "remaining_credits": 123,
  "warnings": [
    "<string>"
  ],
  "slack_truncation": {
    "fields_truncated": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lithoblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

LithoBlocks API key obtained from your organization dashboard

Body

application/json

Send message request

template_id
string
required
data
object
required
channel_id
string
recipient_email
string<email>
recipient_slack_id
string

Response

Message sent successfully

success
boolean
required
message_ts
string
required
channel
string
required
remaining_credits
number
warnings
string[]
slack_truncation
object